/*Теоретичні питання
1. Опишіть своїми словами, що таке метод об'єкту.
Метод - це властивість об"єкту, у вигляді функції.
2. Який тип даних може мати значення властивості об'єкта?
Будь-який тип даних.
3. Об'єкт це посилальний тип даних. Що означає це поняття?
Це означає, що фактично при копіюванні об"єкту та подальшій зміні значення властивості, материнський об"єкт змінить значення також на нове. Тому що фактично при копіюванні відбувається перезапис значення, так як це посилання*/

/*Завдання
Реалізувати функцію створення об'єкта "юзер". Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

Технічні вимоги:
Написати функцію createNewUser(), яка буде створювати та повертати об'єкт newUser.
При виклику функція повинна запитати ім'я та прізвище.
Використовуючи дані, введені юзером, створити об'єкт newUser з властивостями firstName та lastName.
Додати в об'єкт newUser метод getLogin(), який повертатиме першу літеру імені юзера, з'єднану з прізвищем, все в нижньому регістрі (наприклад, Ivan Kravchenko → ikravchenko).
Створити юзера за допомогою функції createNewUser(). Викликати у цього юзера функцію getLogin(). Вивести у консоль результат виконання функції. */

function createNewUser() {
    const newUser = {
        firstName: prompt("What is your name?"),
        lastName: prompt("what is your lastname?"),
        getLogin: function () {
            return this.firstName[0].toLowerCase() + this.lastName.toLowerCase();
        }
    }
    console.log(newUser.getLogin());
}
createNewUser()